const sequelize = require('../db');
const {DataTypes} = require('sequelize');

const Lobby = sequelize.define('lobby', {
    id: {type: DataTypes.INTEGER, primaryKey: true, unique: true, autoIncrement: true},
    name: {type: DataTypes.STRING, defaultValue: "Неидентифицированное лобби"},
    leader: {type: DataTypes.BIGINT, defaultValue: 0},
    bank: {type: DataTypes.INTEGER, defaultValue: 0},
    users: {type: DataTypes.ARRAY(DataTypes.BIGINT)}
})

module.exports = Lobby;
